Subject: [bess] A short question on draft-ietf-bess-evpn-yang-07

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 13 Mar 2019 06:47:08 +0000

Hi all,
I am now reading the draft, and I see that it is a substantial improvement over the earlier versions.

At the same time I have a question regarding the definition of Type 3 (Inclusive Multicast Ethernet Tag) EVPN route in this (and previous) versions.

The YANG definition of this route  runs as following:
<quote>
     list inclusive-multicast-ethernet-tag-route {
               uses route-rd-rt-grp;
               leaf originator-ip-prefix {
                 type inet:ip-prefix;
                 description "originator-ip-prefix";
               }
               list path {
                 uses next-hop-label-grp;
                 uses path-detail-grp;
                 description "path";
               }
               description "inclusive-multicast-ethernet-tag-route";
<end quote>

This definition matches the definition of the NRLI of this route in Section 7.3 of RFC 7432. But it seems to miss the requirement (stated in Section 11.2 of RFC 7432) that this route MUST carry an PMSI Tunnel Type Attribute (a.k.a. PTA) as defined in RFC 6514.  

The draft also defines a Boolean attribute underlay-multicast of an EVPN instance, but it does not explain what this means and how it is used. My guess )FWIW) is that this attribute differentiates between EVPN instances that use ingress replication and EVPN instances that use P2MP LSPs to deliver BUM traffic. But it does not help to identify specific  technology used for setting up P2MP LSPs, and does not allow the user to see the labels advertised in the PTA. 

Did I miss something substantial here?

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

-----Original Message-----
From: BESS <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, March 11, 2019 9:21 PM
To: [email-masked]
Cc: [email-masked]
Subject: [bess] I-D Action: draft-ietf-bess-evpn-yang-07.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the BGP Enabled ServiceS WG of the IETF.

        Title           : Yang Data Model for EVPN
        Authors         : Patrice Brissette
                          Himanshu Shah
                          Iftekar Hussain
                          Kishore Tiruveedhula
                          Jorge Rabadan
	Filename        : draft-ietf-bess-evpn-yang-07.txt
	Pages           : 28
	Date            : 2019-03-11

Abstract:
   This document describes a YANG data model for Ethernet VPN services.
   The model is agnostic of the underlay. It apply to MPLS as well as to
   VxLAN encapsulation. The model is also agnostic of the services
   including E-LAN, E-LINE and E-TREE services. This document mainly
   focuses on EVPN and Ethernet-Segment instance framework.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-yang/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-bess-evpn-yang-07
https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-yang-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-bess-evpn-yang-07

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
BESS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bess

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: Yu Tianpeng <[email-masked]>
Date: Wed, 13 Mar 2019 07:52:12 +0000

Hi Sasha,
If you read the beginning of even yang, it has a common leaf which
indicating it is IR or P2MP. But it is globally not per EVI.
So actually I also have a comment here I may forgot to mention in previous
email is that this common leaf should be per EVI basis not globally.
If this info should be included in route leaf, the common leaf actually can
be deleted I believe.
So basically I support what you said.

Hi author,
Thanks for the new version which fixes  a lot.
But I still have some concerns on the current version.
I will try put major ones down later.

Here just quick query on the usage of counter32 in statistics, isn't it
very likely to get full in short time?  If you check interface-yang it
always use counter64. If I calculate correctly, with 1mbps traffic
counter32 will rotate in about 1 hour. Or I miss sth?

Thanks in advance.
Regards
Tim

On Wed, 13 Mar 2019, 06:47 Alexander Vainshtein, <
[email-masked]> wrote:

> At the same time I have a question regarding the definition of Type 3
> (Inclusive Multicast Ethernet Tag) EVPN route in this (and previous)
> versions.
>
> This definition matches the definition of the NRLI of this route in
> Section 7.3 of RFC 7432. But it seems to miss the requirement (stated in
> Section 11.2 of RFC 7432) that this route MUST carry an PMSI Tunnel Type
> Attribute (a.k.a. PTA) as defined in RFC 6514.
>
> The draft also defines a Boolean attribute underlay-multicast of an EVPN
> instance, but it does not explain what this means and how it is used. My
> guess )FWIW) is that this attribute differentiates between EVPN instances
> that use ingress replication and EVPN instances that use P2MP LSPs to
> deliver BUM traffic. But it does not help to identify specific  technology
> used for setting up P2MP LSPs, and does not allow the user to see the
> labels advertised in the PTA.
>
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 13 Mar 2019 08:05:22 +0000

Tim,
Lots of thanks for a prompt response.
I have indeed missed the ingress-replication  and p2mp-replication leaves at the top of the EVPN YANG tree. But I do not see how it helps to answer my original questions (in addition to being misplaced as you have noticed).

Seems we are in sync with regard to this issue.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Yu Tianpeng <[email-masked]>
Sent: Wednesday, March 13, 2019 9:52 AM
To: Alexander Vainshtein <[email-masked]>
Cc: [email-masked]; [email-masked]; Michael Gorokhovsky <[email-masked]>; Yechiel Rosengarten <[email-masked]>; Ron Sdayoor <[email-masked]>
Subject: Re: A short question on draft-ietf-bess-evpn-yang-07

Hi Sasha,
If you read the beginning of even yang, it has a common leaf which indicating it is IR or P2MP. But it is globally not per EVI.
So actually I also have a comment here I may forgot to mention in previous email is that this common leaf should be per EVI basis not globally.
If this info should be included in route leaf, the common leaf actually can be deleted I believe.
So basically I support what you said.

Hi author,

Here just quick query on the usage of counter32 in statistics, isn't it very likely to get full in short time?  If you check interface-yang it always use counter64. If I calculate correctly, with 1mbps traffic counter32 will rotate in about 1 hour. Or I miss sth?

Thanks in advance.
Regards
Tim

On Wed, 13 Mar 2019, 06:47 Alexander Vainshtein, <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,
I am now reading the draft, and I see that it is a substantial improvement over the earlier versions.

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>

-----Original Message-----
From: BESS <[email-masked]<mailto:[email-masked]>> On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Monday, March 11, 2019 9:21 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [bess] I-D Action: draft-ietf-bess-evpn-yang-07.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

---

From: "Patrice Brissette (pbrisset)" <[email-masked]>
Date: Wed, 13 Mar 2019 21:26:47 +0000

Guys,

Thanks a lot for your comments. We will have a sit down in Prague to discuss them.
Ping me if you will be around.

Regards,
Patrice Brissette, Principal Engineer
Cisco Systems
Help us track your SP SR/EVPN Customer Opportunity/Status by filling these forms: Segment Routing<https://app.smartsheet.com/b/form/185833ace35b4894b324dfb8afbd2060> / EVPN<https://app.smartsheet.com/b/form/136bd5c3a22641bf92316523e79d6f22>

http://e-vpn.io, http://go2.cisco.com/evpn

From: Alexander Vainshtein <[email-masked]>
Date: Wednesday, March 13, 2019 at 04:05
To: Yu Tianpeng <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Michael Gorokhovsky <[email-masked]>, Yechiel Rosengarten <[email-masked]>, Ron Sdayoor <[email-masked]>
Subject: RE: A short question on draft-ietf-bess-evpn-yang-07
Resent-From: <[email-masked]>
Resent-To: Patrice Brissette <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, March 13, 2019 at 04:05

Tim,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

Hi Sasha,

Hi author,

Thanks in advance.
Regards
Tim

Office: +972-39266302
Cell:      +972-549266302

-----Original Message-----
From: BESS <[email-masked]<mailto:[email-masked]>> On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Monday, March 11, 2019 9:21 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [bess] I-D Action: draft-ietf-bess-evpn-yang-07.txt

Abstract:

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 14 Mar 2019 05:27:20 +0000

Patrice,
Unfortunately I will not be attending the IETF meeting in Prague.
But I can be reached via Skype (sasha.vainshtein) if you want to discuss things.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Patrice Brissette (pbrisset) <[email-masked]>
Sent: Wednesday, March 13, 2019 11:27 PM
To: Alexander Vainshtein <[email-masked]>; Yu Tianpeng <[email-masked]>
Cc: [email-masked]; [email-masked]; Michael Gorokhovsky <[email-masked]>; Yechiel Rosengarten <[email-masked]>; Ron Sdayoor <[email-masked]>
Subject: Re: A short question on draft-ietf-bess-evpn-yang-07

Guys,

Regards,

From: Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, March 13, 2019 at 04:05
To: Yu Tianpeng <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Michael Gorokhovsky <[email-masked]<mailto:[email-masked]>>, Yechiel Rosengarten <[email-masked]<mailto:[email-masked]>>, Ron Sdayoor <[email-masked]<mailto:[email-masked]>>
Subject: RE: A short question on draft-ietf-bess-evpn-yang-07
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Patrice Brissette <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Wednesday, March 13, 2019 at 04:05

Tim,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Yu Tianpeng <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, March 13, 2019 9:52 AM
To: Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Michael Gorokhovsky <[email-masked]<mailto:[email-masked]>>; Yechiel Rosengarten <[email-masked]<mailto:[email-masked]>>; Ron Sdayoor <[email-masked]<mailto:[email-masked]>>
Subject: Re: A short question on draft-ietf-bess-evpn-yang-07

Hi Sasha,

Hi author,

Thanks in advance.
Regards
Tim

Office: +972-39266302
Cell:      +972-549266302

-----Original Message-----
From: BESS <[email-masked]<mailto:[email-masked]>> On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Monday, March 11, 2019 9:21 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [bess] I-D Action: draft-ietf-bess-evpn-yang-07.txt

Abstract: